Bug 20760 - problem with makefiles causes incorrct build
Summary: problem with makefiles causes incorrct build
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: imap   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-13 18:53 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 00:24:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:094 high SHIPPED_LIVE : Updated UW imap packages available (imap/pop3/imaps/pop3s) 2001-07-06 04:00:00 UTC

Description Need Real Name 2000-11-13 18:53:34 UTC
There seems to be a problem with
map-2000/Makefile
The settings
EXTRACFLAGS= -DDISABLE_POP_PROXY=1  -DIGNORE_LOCK_EACCES_ERRORS=1
do not propagate when doing a build.
Probably a keyword "export" must be added somewhere in make
so files like imap-2000/src/osdep/unix/Makefile
catch the value in the line 
CFLAGS=$(BASECFLAGS) $(EXTRACFLAGS)

Comment 1 Need Real Name 2000-11-13 22:29:07 UTC
The problem is with imap.spec
It 
1. patches imap-2000/Makefile
2. Sets the environment variable EXTRACFLAGS
which makes it ignoring the value set in Makefile for sub-makes.

The right solution is not to patch Makefile,
but put directly into imap.spec

%build
EXTRACFLAGS="-DDISABLE_POP_PROXY=1  -DIGNORE_LOCK_EACCES_ERRORS=1"
....
This the options will be propagate across the Makefile(s).


Comment 2 Need Real Name 2000-11-14 00:02:59 UTC
Also, the same problem exists
with imap srom RedHat 7.0 updates.
One need to add EXTRACFLAGS to imap.spec
as I recommended in the previod message to compile it correctly.

Comment 3 Mike A. Harris 2001-03-17 22:41:43 UTC
Fixed in Rawhide a while back.. forgot to update the bug.. sorry..


Note You need to log in before you can comment on or make changes to this bug.